| Home · API Reference · Modules

Public Attributes | List of all members
MImPluginSettingsEntry Struct Reference

`#include <settingdata.h>`

## Public Attributes

QString | description
QString | extension_key
Maliit::SettingEntryType | type
QVariant | value
QVariantMap | attributes

## Detailed Description

Single configuration entry for Maliit input method plugin.

See also
  Maliit::SettingsEntry

## Member Data Documentation

## ◆ attributes

QVariantMap MImPluginSettingsEntry::attributes

Attributes, including domain values and descriptions.

## ◆ description

QString MImPluginSettingsEntry::description

Human-readable description.

## ◆ extension_key

QString MImPluginSettingsEntry::extension_key

The attribute extension key attribute for this entry.

## ◆ type

Maliit::SettingEntryType MImPluginSettingsEntry::type

Entry value type.

## ◆ value

QVariant MImPluginSettingsEntry::value

Current value for the configuration entry.

Copyright © 2011 Nokia Corporation |  | Maliit